package com.unipi.talepis.protal2024_4;

import androidx.annotation.NonNull;
import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

@Entity
public class Student {
    @PrimaryKey
    @NonNull
    String am;
    String email;
    @ColumnInfo(name = "FullName")
    String name;

    public Student(@NonNull String am, String email, String name) {
        this.am = am;
        this.email = email;
        this.name = name;
    }

    @Override
    public String toString() {
        return "Student{" +
                "am='" + am + '\'' +
                ", email='" + email + '\'' +
                ", name='" + name + '\'' +
                '}';
    }
}
