package com.unipi.talepis.protal2024_4;

import androidx.room.Dao;
import androidx.room.Delete;
import androidx.room.Insert;
import androidx.room.OnConflictStrategy;
import androidx.room.Query;

import java.util.List;

@Dao
public interface StudentDao {
    @Query("Select * from Student")
    List<Student> getAll();
    @Query("Select * from Student where am=:am")
    Student findByAm(String am);
    @Query("Select * from Student where email in (:emails)")
    List<Student> findByEmails(String[] emails);
    @Insert(onConflict = OnConflictStrategy.IGNORE)
    void insert(Student... students);
    @Delete
    void delete(Student student);
}
